%bcond_without tests
%bcond_without docs

Name:       python-atomicwrites
Version:    1.4.1
Release:    1%{?dist}
Summary:    Python Atomic file writes on POSIX 

License:    MIT
URL:        https://github.com/untitaker/%{name}
Source0:    https://github.com/untitaker/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:  noarch

%global short_name atomicwrites

BuildRequires: make
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with docs}
BuildRequires:  python3-sphinx
%endif
%if %{with tests}
BuildRequires:  python3-pytest
%endif

%global _description\
This Python module provides atomic file writes on POSIX operating systems.\
It sports:\
* Race-free assertion that the target file doesn't yet exist\
* Windows support\
* Simple high-level API that wraps a very flexible class-based API

%description %_description

%package -n python3-%{short_name}
Summary:    Python Atomic file writes on POSIX 

%description -n python3-%{short_name} %{_description}

Python 3 version.

%prep
%setup -q

%build

%py3_build

%if %{with docs}
export PYTHONPATH=`pwd`
cd docs
make %{?_smp_mflags} SPHINXBUILD=sphinx-build-3 man
cd ..
unset PYTHONPATH
%endif


%install

%py3_install

%if %{with docs}
install -d "%{buildroot}%{_mandir}/man1"
cp -r docs/_build/man/*.1 "%{buildroot}%{_mandir}/man1"
%endif

%check
%if %{with tests}

%{__python3} -m pytest -v
%endif

%files -n python3-%{short_name}
%doc README.rst LICENSE
%{python3_sitelib}/%{short_name}*/
%if %{with docs}
%{_mandir}/man1/atomicwrites.1.*
%endif

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.1-1
- initial build
